Subject: Ticket Assigned - Refund
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 23 Apr 2022 13:29:58 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund  Contacted

Dear All,

The steamer for this food processor is not working I’d like a refund as i contacted the mother company and they said I can get a refund if the product is not working. Probably there is an ingoing issue with this product world wide many customers complained about it.

Please solve this issue quickly as I already went to baby shop (as one of your clueless customer service instructed) but there they told me i need to send video to this email.

Such a waste of my time in this precious month.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4142795